Package org.opensaml.soap.wssecurity

# Interface Reference

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSSecurityObject`, `XMLObject`

All Known Implementing Classes:
  `ReferenceImpl`

public interface Reference extends AttributeExtensibleXMLObject, WSSecurityObject
The <wsse:Reference> empty element.

See Also:
  - "WS-Security 2004, Chapter 7.2"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Qualified element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`URI_ATTRIB_NAME`
The wsse:Reference/@URI attribute local name.
`static final String`
`VALUE_TYPE_ATTRIB_NAME`
The wsse:Reference/@ValueType attribute local name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getURI()`
Returns the wsse:Reference/@URI attribute value.
`String`
`getValueType()`
Returns the ValueType attribute URI value.
`void`
`setURI(String newURI)`
Sets the wsse:Reference/@URI attribute value.
`void`
`setValueType(String newValueType)`
Sets the ValueType attribute URI value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Qualified element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### URI_ATTRIB_NAME

@Nonnull @NotEmpty static final String URI_ATTRIB_NAME
The wsse:Reference/@URI attribute local name.

See Also:
  - Constant Field Values

### VALUE_TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String VALUE_TYPE_ATTRIB_NAME
The wsse:Reference/@ValueType attribute local name.

See Also:
  - Constant Field Values

## Method Details

### getURI

@Nullable String getURI()
Returns the wsse:Reference/@URI attribute value.

Returns:
  the URI attribute value.

### setURI

void setURI(@Nullable String newURI)
Sets the wsse:Reference/@URI attribute value.

Parameters:
  `newURI` - the URI to set.

### getValueType

@Nullable String getValueType()
Returns the ValueType attribute URI value.

Returns:
  the ValueType attribute value or `null`.

### setValueType

void setValueType(@Nullable String newValueType)
Sets the ValueType attribute URI value.

Parameters:
  `newValueType` - the ValueType attribute value.